
package com.tmerclub.cloud.multishop.feign;

import com.tmerclub.cloud.api.multishop.feign.ShopWithdrawCashFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.multishop.service.ShopWithdrawCashService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author track
 */
@DubboService
public class ShopWithdrawCashFeignController implements ShopWithdrawCashFeignClient {

    @Autowired
    private ShopWithdrawCashService shopWithdrawCashService;

    @Override
    public ServerResponseEntity<Void> withdrawBack(String bizOrderNo, String payStatus, String bizUserId, String payFailMessage) {
        shopWithdrawCashService.withdrawBack(bizOrderNo, payStatus, bizUserId, payFailMessage);
        return ServerResponseEntity.success();
    }
}
