
package com.tmerclub.cloud.api.combo.feign;

import com.tmerclub.cloud.api.combo.vo.ComboSkuVo;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;
import java.util.Set;

/**
 * @author xxw
 * @date 2022/8/22 17:53
 */
public interface ComboSpuSkuFeignClient {
    /**
     * 根据套餐id列表和sku列表获取套餐信息
     * @param comboIdList
     * @param skuIdList
     * @return
     */
    ServerResponseEntity<List<ComboSkuVo>> comboVoListComboAndSkuList(Set<Long> comboIdList, List<Long> skuIdList);
}
