
package com.tmerclub.cloud.api.product.feign;

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author tmerclub
 * @date 2020/11/12
 */
public interface SkuComboFeignClient {

    /**
     * 通过skuId获取组合的商品信息
     * @param skuId skuIds
     * @return sku信息
     */
    ServerResponseEntity<List<ShopCartItemVO>> getCombSpusBySkuId(Long skuId);
}
