package com.tmerclub.cloud.search.canal.support.parser;


import java.util.List;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/26 22:35
 */
public interface ParseResultInterceptorManager {

    /**
     * register
     * @param parseResultInterceptor
     * @param <T>
     */
    <T> void registerParseResultInterceptor(BaseParseResultInterceptor<T> parseResultInterceptor);

    /**
     * get
     * @param klass
     * @return
     * @param <T>
     */
    <T> List<BaseParseResultInterceptor<T>> getParseResultInterceptors(Class<T> klass);
}
