package com.tmerclub.cloud.user.feign;

import com.tmerclub.cloud.api.user.dto.ShopCustomerReqDTO;
import com.tmerclub.cloud.api.user.feign.ShopCustomerFeignClient;
import com.tmerclub.cloud.user.service.ShopCustomerService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 店铺客户
 *
 * @author: zsm
 * @date: 2023/1/15 16:44
 */
@DubboService
public class ShopCustomerClientController implements ShopCustomerFeignClient {

    @Autowired
    private ShopCustomerService shopCustomerService;

    @Override
    public void saveBatchByOrders(List<ShopCustomerReqDTO> shopCustomerReqList) {
        shopCustomerService.saveBatchByOrders(shopCustomerReqList);
    }
}
