
package com.tmerclub.cloud.api.multishop.feign;

import com.tmerclub.cloud.api.multishop.vo.ShopRenovationVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author track
 */
public interface ShopRenovationFeignClient {

    /**
     * 根据页面id获取页面信息
     * @param renovationId 页面id
     * @return 页面信息
     */
    ServerResponseEntity<ShopRenovationVO> getbyRenovationId(Long renovationId);
}
