
package com.tmerclub.cloud.api.supplier.feign;

import com.tmerclub.cloud.api.supplier.vo.SupplierBankCardVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author track
 */
public interface SupplierBankCardFeignClient {

    /**
     * 保存银行卡至数据库
     *
     * @param tenantId
     * @param supplierBankCardVO
     */
    void saveBandCardByAllinpay(String tenantId, SupplierBankCardVO supplierBankCardVO);

    /**
     * 解绑法人卡
     * @param supplierBankCardId
     * @return
     */
    ServerResponseEntity<Void> deleteLegalBankCard(Long supplierBankCardId);
}
